/// <reference types="node" />
import SymbolDraw from '../helper/SymbolDraw.js';
import LargeSymbolDraw from '../helper/LargeSymbolDraw.js';
import ChartView from '../../view/Chart.js';
import ScatterSeriesModel from './LabelsSeries.js';
import GlobalModel from '../../model/Global.js';
import ExtensionAPI from '../../core/ExtensionAPI.js';
import SeriesData from '../../data/SeriesData.js';
declare class LabelsView extends ChartView {
    static readonly type = "labels";
    type: string;
    _finished: boolean;
    _isLargeDraw: boolean;
    _symbolDraw: SymbolDraw | LargeSymbolDraw;
    private _symbolGroup;
    private _textGroup;
    private _toolTipGroup;
    seriesModel: ScatterSeriesModel;
    api: ExtensionAPI;
    _isTooltipOpen: boolean;
    _timer: NodeJS.Timeout;
    init(ecModel: GlobalModel, api: ExtensionAPI): void;
    render(seriesModel: ScatterSeriesModel, ecModel: GlobalModel, api: ExtensionAPI): void;
    _renderText(data: SeriesData, seriesModel: ScatterSeriesModel): void;
    _renderSymbol(data: SeriesData, seriesModel: ScatterSeriesModel): void;
    _renderTooltipSymbol(data: SeriesData, seriesModel: ScatterSeriesModel): void;
    _getClipShape(seriesModel: ScatterSeriesModel): import("../../coord/CoordinateSystem").CoordinateSystemClipArea;
    _mouseover(e: any): void;
    _hideTip(e: any): void;
    _mouseout(): void;
    _clearTimer(): void;
    remove(): void;
    dispose(): void;
}
export default LabelsView;
